#include "Foundation/NSObjCRuntime.h"
#include "Foundation/NSString.h"

int 
main(int ac, char *av[]) 
{
	NSAutoreleasePool *arp = [NSAutoreleasePool new];
    int i;
	for(i=0; i<20; i++)
		NSLog(@"");				// empty nslog - tests time/date formatting speed
	for(i=0; i<20; i++)
		NSLog(@"empty log");	// how does string size influence
	for(i=0; i<20; i++)
		NSLog(@"%@ log", @"empty");	// how does string formatting influence
	for(i=0; i<20; i++)
		NSLog(@"now %@", [NSDate date]);	// how does date formatting influence

    [arp release];
	printf("nslog test complete\n");

    return 0;
}
